/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.model.report;

import org.apache.commons.lang.Validate;

import gov.va.med.fw.model.lookup.Lookup;

import gov.va.med.esr.common.model.lookup.WkfCaseStatusType;

public class ReportWkfCaseStatusType extends BaseReportLookupParameter {
	private static final long serialVersionUID = -4709294242362584885L;

    public void setLookup(Lookup lookup) {
		Validate.isTrue(lookup instanceof WkfCaseStatusType	,"Incorrect lookup type.");
		super.setLookup(lookup);
	}
	public WkfCaseStatusType getWkfCaseStatusType() {
		return (WkfCaseStatusType)getLookup();
	}
	
	public void setWkfCaseStatusType(WkfCaseStatusType wkfCaseStatusType) {
		setLookup(wkfCaseStatusType);
	}
}
